#
# spec file for package kdegraphics3 (Version 3.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  fribidi fribidi-devel hp-officeJet imlib imlib-config imlib-devel kde3-devel-packages kdebase3 kdelibs3-devel-doc libexif libgphoto2 libjasper libtiff-devel libungif libusb net-snmp net-snmp-devel pkgconfig qt3-devel-doc resmgr sane te_kpath tetex tiff xpdf-config

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel fribidi fribidi-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem hp-officeJet imlib imlib-config imlib-devel kdebase3 kdelibs3 kdelibs3-devel kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libexif libgphoto2 libidn libidn-devel libjasper libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libungif libusb libxml2 libxml2-devel libxslt libxslt-devel net-snmp net-snmp-devel openssl-devel pcre pcre-devel perl pkgconfig qt3 qt3-devel qt3-devel-doc resmgr rpm sane te_ams te_kpath te_latex tetex tiff update-desktop-files xpdf-config

Name:         kdegraphics3
License:      GPL
Group:        Productivity/Graphics/Viewers
Provides:     kuickshow kdegraphics3-kfile-plugins kgamma
Obsoletes:    kuickshow kdegraphics3-kfile-plugins kgamma
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3` )
Summary:      Base Libraries for KDE Graphics Applications
Version:      3.2.1
Release:      67.16
Source0:      kdegraphics-%{version}.tar.bz2
Patch0:       3_2_BRANCH.diff
Patch1:       preferences.diff
Patch2:       kooka-044.diff
Patch3:       kpdf-fix-images.diff
Patch4:       xpdf-CESA-2004-007-xpdf2.diff
Patch5:       xpdf-libgoo-sizet.patch
Patch6:       xpdf2-underflow.patch
Patch7:       use-external-libtiff.diff
Patch8:       post-3.2.3-kdegraphics-2.diff
Patch9:       xpdf-security-fix.diff
Patch10:      post-3.2.3-kdegraphics-CAN-2005-3193.diff
Requires:     ghostscript-x11
Provides:     kdegraphics3-viewer:/opt/kde3/bin/kuickshow
Obsoletes:    kdegraphics3-viewer
%if %suse_version > 730
Provides:     kdegraphics kgraph
%endif

%description
The base applications (Kuickshow and Ksnapshot) and libraries for KDE
graphics applications.

All kfile plugins (to generate previews in konqueror) are also in this
package.

More kdegraphics applications can be found in:

kdegraphics3-fax kdegraphics3-kamera kdegraphics3-pdf
kdegraphics3-postscript kdegraphics3-scan kdegraphics3-tex
kdegraphics3-extra



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     kdegraphics3 kdelibs3-devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/KDE
%if %suse_version > 730
Provides:     kdegraphics-devel
%endif

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kmrml kpaint kruler kcoloredit kview kiconedit
Summary:      Small KDE Graphics Applications
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3-viewer:/opt/kde3/bin/mrmlsearch
Provides:     kdegraphics3:/opt/kde3/bin/ksnapshot
Provides:     kdegraphics:/opt/kde2/bin/ksnapshot
Provides:     kmrml
Obsoletes:    kmrml kdegraphics3-viewer

%description extra
Small KDE graphics applications.

kcolorchooser  - identify color values. kcoloredit	   - for
editing color palettes kiconedit	  - icon editor kpaint	       
    - small paint application kruler		  - a desktop ruler for
measuring pixels ksnapshot	 - creates a screenshot kuickshow      
- fast picture viewer kview		 - a modular picture viewer



Authors:
--------
    The KDE Team <kde@kde.org>

%package 3D
# usesubdirs kpovmodeler
Summary:      3D scene creator
Group:        Productivity/Graphics/Viewers
Provides:     kpovmodeler
Obsoletes:    kpovmodeler
Requires:     povray

%description 3D
kpovmodeler can create scenes for rendering with povray.



Authors:
--------
    The KDE Team <kde@kde.org>

%package tex
# usesubdirs kdvi
# usefiles /opt/kde3/bin/kviewshell
Summary:      DVI File Viewer
Group:        Productivity/Publishing/TeX/Frontends
Requires:     tetex
Provides:     kdegraphics3:/opt/kde3/bin/kdvi
Provides:     kdegraphics3-viewer:/opt/kde3/bin/kviewshell
Provides:     kdegraphics:/opt/kde2/bin/kfax
Obsoletes:    kdegraphics3-viewer

%description tex
KDVI shows and prints DVI files. DVI files are generated by TeX and
LaTeX.



Authors:
--------
    The KDE Team <kde@kde.org>

%package scan
Provides:     kooka kscanlib kdegraphics3-kooka
Obsoletes:    kooka kscanlib kdegraphics3-kooka
Summary:      Kooka, the scan program for KDE
Group:        Hardware/Scanner
%if %suse_version > 800
Requires:     ocrad
%endif

%description scan
Kooka is an image scan program for KDE that uses the SANE library. This
offers scan capabilities to a wide range of scanner hardware.

Beside a user friendly scanner option interface Kooka offers basic
image manipulation routines like rotating, mirroring etc. Moreover
there is an save assistant that helps to find the correct image format.
The image gallery and a configurable thumbnail view makes it easy to
organise the scans.

Kooka supports OCR (Optical Character Recognition) on your scans. The
SuSE version of Kooka was linked with KADMOS, a commercial ICR/OCR
library that gives best detection results for different languages.

As an open source alternative the OCR command line tool gocr is also
supported.



Authors:
--------
    Klaas Freitag <freitag@suse.de>

%package fax
# usesubdirs kfax kfaxview
Summary:      KDE fax viewer
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3:/opt/kde3/bin/kfax
Provides:     kdegraphics:/opt/kde2/bin/kfax

%description fax
This package can show and print received fax files.



Authors:
--------
    The KDE Team <kde@kde.org>

%package pdf
# usesubdirs kpdf
Summary:      KDE PDF File Viewer
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3:/opt/kde3/bin/kpdf
Requires:     xpdf-config

%description pdf
This package contains KPDF, an application to show and print PDF files.



Authors:
--------
    The KDE Team <kde@kde.org>

%package postscript
# usesubdirs kghostview kpdf
Summary:      KDE Postscript File Viewer
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3:/opt/kde3/bin/kghostview
Provides:     kdegraphics:/opt/kde2/bin/kghostview

%description postscript
This package contains KGhostView, an application to show and print
Postscript files.



Authors:
--------
    The KDE Team <kde@kde.org>

%if %suse_version > 810
%package kamera
# usesubdirs kamera
Summary:      KDE digital camera application
Group:        Hardware/Other
Provides:     kdegraphics3:/opt/kde3/lib/kde3/kio_kamera.so

%description kamera
Kamera is a konqueror plugin for digital cameras. It is mostly used for
cameras that are connected via serial port, while usb-cameras are
directly supported by the kernel.



Authors:
--------
    The KDE Team <kde@kde.org>

%endif
%prep
%setup -q -n kdegraphics-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
%if %suse_version > 730
   FLAGS="$FLAGS --with-gphoto2-libraries=%_libdir"
   if [ ! -e /usr/include/gphoto2/gphoto2.h ]; then 
      echo "GPHOTO outdated"
      exit 1
   fi
%endif
./configure $configkde $FLAGS
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/opt/kde3/sbin/
cp /usr/bin/{tiff2ps,fax2tiff} $RPM_BUILD_ROOT/opt/kde3/sbin/
%suse_update_desktop_file kpovmodeler    Graphics 3DGraphics
%if %suse_version > 810
%suse_update_desktop_file -u kamera      Graphics Photograph
%endif
%suse_update_desktop_file kiconedit      Graphics RasterGraphics
%suse_update_desktop_file kpaint         Graphics RasterGraphics
%suse_update_desktop_file kview          Graphics RasterGraphics
%suse_update_desktop_file kfax           Graphics Viewer
%suse_update_desktop_file kuickshow      Graphics Viewer
%suse_update_desktop_file kghostview     Graphics Viewer
%suse_update_desktop_file kooka          Graphics Scanning
%suse_update_desktop_file -r kruler         Utility DesktopUtility
%suse_update_desktop_file -r ksnapshot      Utility DesktopUtility
%suse_update_desktop_file -r kcolorchooser  Utility DesktopUtility
%suse_update_desktop_file -r kcoloredit     Utility DesktopUtility
%suse_update_desktop_file kdvi           Office Viewer
%suse_update_desktop_file kpdf           Office Viewer
%suse_update_desktop_file kcmkmrml       Office Database

%post
%run_ldconfig

%postun
%run_ldconfig
%if %suse_version > 800

%post extra
%run_ldconfig

%post tex
%run_ldconfig

%post fax
%run_ldconfig

%post 3D
%run_ldconfig

%post scan
%run_ldconfig

%post postscript
%run_ldconfig

%postun extra
%run_ldconfig

%postun tex
%run_ldconfig

%postun fax
%run_ldconfig

%postun 3D
%run_ldconfig

%postun postscript
%run_ldconfig

%postun scan
%run_ldconfig
%endif

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/48x48/apps
%dir /opt/kde3/share/icons/locolor/32x32/apps
%dir /opt/kde3/share/icons/locolor/16x16/apps
/opt/kde3/bin/ksnapshot
/opt/kde3/bin/kuickshow
/opt/kde3/bin/kviewshell
/opt/kde3/bin/xf86gammacfg
/opt/kde3/%_lib/kde3/kcm_kgamma.*
/opt/kde3/%_lib/kde3/kfile_bmp.*
/opt/kde3/%_lib/kde3/kfile_dvi.*
/opt/kde3/%_lib/kde3/kfile_ico.*
/opt/kde3/%_lib/kde3/kfile_jpeg.*
/opt/kde3/%_lib/kde3/kfile_pcx.*
/opt/kde3/%_lib/kde3/kfile_pn*
/opt/kde3/%_lib/kde3/kfile_t*
/opt/kde3/%_lib/kde3/kfile_xbm.*
/opt/kde3/%_lib/kde3/kfile_pdf.*
/opt/kde3/%_lib/kde3/kfile_ps.*
/opt/kde3/share/services/kfile_pdf.desktop
/opt/kde3/share/services/kfile_ps.desktop
/opt/kde3/%_lib/kde3/kuickshow.*
/opt/kde3/%_lib/kde3/kviewerpart.*
/opt/kde3/%_lib/libkdeinit_kuickshow.*
/opt/kde3/%_lib/libkmultipage.*
/opt/kde3/share/applications/kde/ksnapshot.desktop
/opt/kde3/share/applications/kde/kuickshow.desktop
/opt/kde3/share/applnk/.hidden/*.desktop
/opt/kde3/share/apps/kgamma
/opt/kde3/share/apps/kuickshow
/opt/kde3/share/apps/kviewerpart
/opt/kde3/share/apps/kviewshell
/opt/kde3/share/apps/kviewviewer
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kgamma
/opt/kde3/share/icons/*/*x*/*/kgamma.png
/opt/kde3/share/icons/*/*x*/*/ksnapshot.png
/opt/kde3/share/icons/*/*x*/*/kuickshow.png
/opt/kde3/share/icons/*/*x*/*/kviewshell.png
/opt/kde3/share/services/kfile_bmp.desktop
/opt/kde3/share/services/kfile_dvi.desktop
/opt/kde3/share/services/kfile_ico.desktop
/opt/kde3/share/services/kfile_jpeg.desktop
/opt/kde3/share/services/kfile_pcx.desktop
/opt/kde3/share/services/kfile_pn*
/opt/kde3/share/services/kfile_t*
/opt/kde3/share/services/kfile_xbm.desktop
%doc /opt/kde3/share/doc/HTML/en/ksnapshot
%doc /opt/kde3/share/doc/HTML/en/kuickshow
%if %suse_version > 810
/opt/kde3/bin/printnodetest
/opt/kde3/bin/svgdisplay
/opt/kde3/%_lib/kde3/libksvg*
/opt/kde3/%_lib/kde3/svgthumbnail.*
/opt/kde3/%_lib/libksvg.*
/opt/kde3/%_lib/libtext2path.*
/opt/kde3/share/apps/ksvg
/opt/kde3/share/services/ksvg*
/opt/kde3/share/services/svgthumbnail.desktop
/opt/kde3/share/servicetypes/ksvgrenderer.desktop
%endif
%if %suse_version > 800

%files extra
%defattr(-,root,root)
%endif
/opt/kde3/bin/kcolor*
/opt/kde3/bin/kiconedit
/opt/kde3/bin/kpaint
/opt/kde3/bin/kruler
/opt/kde3/bin/kview
/opt/kde3/bin/mrmlsearch
/opt/kde3/%_lib/kde3/kcm_kmrml.*
/opt/kde3/%_lib/kde3/kcm_kview*
/opt/kde3/%_lib/kde3/kded_daemonwatcher.*
/opt/kde3/%_lib/kde3/kio_mrml.*
/opt/kde3/%_lib/kde3/kview_*
/opt/kde3/%_lib/kde3/kview.*
/opt/kde3/%_lib/kde3/libkmrmlpart.*
/opt/kde3/%_lib/kde3/libkview*
/opt/kde3/%_lib/kde3/mrmlsearch.*
/opt/kde3/%_lib/libkdeinit_kview.*
/opt/kde3/%_lib/libkdeinit_mrmlsearch.*
/opt/kde3/%_lib/libkimageviewer.*
/opt/kde3/share/applications/kde/kc*
/opt/kde3/share/applications/kde/kiconedit.desktop
/opt/kde3/share/applications/kde/kpaint.desktop
/opt/kde3/share/applications/kde/kruler.desktop
/opt/kde3/share/applications/kde/kview.desktop
/opt/kde3/share/applnk/*/*.desktop
/opt/kde3/share/apps/kcoloredit
/opt/kde3/share/apps/kiconedit
/opt/kde3/share/apps/konqueror/servicemenus/mrml-servicemenu.desktop
/opt/kde3/share/apps/kpaint
/opt/kde3/share/apps/kruler
/opt/kde3/share/apps/kview
/opt/kde3/share/icons/*/*x*/*/kcolorchooser.png
/opt/kde3/share/icons/*/*x*/*/kcoloredit.png
/opt/kde3/share/icons/*/*x*/*/kiconedit.png
/opt/kde3/share/icons/*/*x*/*/kpaint.png
/opt/kde3/share/icons/*/*x*/*/kruler.png
/opt/kde3/share/icons/*/*x*/*/kview.png
/opt/kde3/share/mimelnk/text/mrml.desktop
/opt/kde3/share/services/kconfiguredialog
/opt/kde3/share/services/kded/daemonwatcher.desktop
/opt/kde3/share/services/kview*
/opt/kde3/share/services/mrml*
/opt/kde3/share/servicetypes/kimageviewer*
%doc /opt/kde3/share/doc/HTML/en/kcoloredit
%doc /opt/kde3/share/doc/HTML/en/kiconedit
%doc /opt/kde3/share/doc/HTML/en/kpaint
%doc /opt/kde3/share/doc/HTML/en/kruler
%doc /opt/kde3/share/doc/HTML/en/kview
%if %suse_version > 800

%files scan
%defattr(-,root,root)
%endif
/opt/kde3/share/icons/*/??x??/*/palette_*.png
/opt/kde3/%_lib/libkscan*
/opt/kde3/bin/kooka
/opt/kde3/share/apps/kooka
/opt/kde3/share/applications/kde/kooka.desktop
/opt/kde3/share/services/scanservice.desktop
/opt/kde3/share/config/kookarc
%doc /opt/kde3/share/doc/HTML/*/kooka
%if %suse_version > 800

%files 3D
%defattr(-,root,root)
%endif
/opt/kde3/bin/kpovmodeler
/opt/kde3/%_lib/libkpovmodeler.*
/opt/kde3/%_lib/kde3/libkpovmodelerpart.*
/opt/kde3/share/applications/kde/kpovmodeler.desktop
/opt/kde3/share/apps/kpovmodeler
/opt/kde3/share/icons/*/*x*/*/kpovmodeler_doc.png
/opt/kde3/share/icons/*/*x*/*/kpovmodeler.png
%doc /opt/kde3/share/doc/HTML/en/kpovmodeler/
%if %suse_version > 800

%files tex
%defattr(-,root,root)
%endif
/opt/kde3/bin/kdvi
/opt/kde3/%_lib/kde3/kdvipart.*
/opt/kde3/share/applications/kde/kdvi.desktop
/opt/kde3/share/apps/kdvi
/opt/kde3/share/icons/*/*x*/*/kdvi.png
%doc /opt/kde3/share/doc/HTML/en/kdvi
%if %suse_version > 800

%files fax
%defattr(-,root,root)
%endif
/opt/kde3/bin/kfax
/opt/kde3/sbin
/opt/kde3/%_lib/kde3/kfaxpart.*
/opt/kde3/share/applications/kde/kfax.desktop
/opt/kde3/share/apps/kfax
/opt/kde3/share/icons/*/*x*/*/kfax.png
%if %suse_version > 800

%files pdf
%defattr(-,root,root)
%endif
/opt/kde3/bin/kpdf
/opt/kde3/%_lib/kde3/libkpdfpart.*
/opt/kde3/share/applications/kde/kpdf.desktop
/opt/kde3/share/apps/kpdf*
/opt/kde3/share/icons/*/*x*/*/kpdf.png
/opt/kde3/share/services/kpdf_part.desktop
%doc /opt/kde3/share/doc/HTML/en/kpdf
%if %suse_version > 800

%files postscript
%defattr(-,root,root)
%endif
/opt/kde3/bin/kghostview
/opt/kde3/%_lib/libkghostviewlib.*
/opt/kde3/%_lib/kde3/libkghostviewpart.*
/opt/kde3/share/applications/kde/kghostview.desktop
/opt/kde3/share/apps/kghostview
/opt/kde3/share/icons/*/*x*/*/kghostview.png
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kghostview
%if %suse_version > 810

%files kamera
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kcm_kamera.*
/opt/kde3/%_lib/kde3/kio_kamera.*
/opt/kde3/share/applnk/Settings/Peripherals
/opt/kde3/share/icons/*/*x*/*/camera.png
/opt/kde3/share/icons/*/*x*/*/camera_test.png
/opt/kde3/share/services/kamera.protocol
%doc /opt/kde3/share/doc/HTML/en/kamera
%endif

%files devel
%defattr(-,root,root)
%if %suse_version > 810
/opt/kde3/include/dom/SVG*
/opt/kde3/include/ksvg
/opt/kde3/include/libtext2path-0.1
%endif
/opt/kde3/include/*.h

%changelog -n kdegraphics3
* Wed Dec 07 2005 - dmueller@suse.de
- xpdf integer overflows, CVE-2005-3193 (#137156)
* Thu Jan 20 2005 - adrian@suse.de
- Fixing another possible leak in xpdf decrypt code (#49840)
* Wed Jan 05 2005 - adrian@suse.de
- add own copy for tiff2ps and fax2tiff to avoid the requirement
  of tiff package
* Mon Jan 03 2005 - adrian@suse.de
- use external libtiff for kfax to solve various security issues
  in the included copy. This is a new dependency, but kdelibs does
  require libtiff anyway. (#49093)
- yet another xpdf/kpdf security issue
  (http://www.kde.org/info/security/advisory-20041223-1.txt, #49544)
* Tue Nov 09 2004 - adrian@suse.de
- another two xpdf patches, solving security issues on 64bit
* Tue Oct 19 2004 - meissner@suse.de
- upgraded xpdf2 patch to latest version.
* Thu Oct 07 2004 - adrian@suse.de
- fix security issue in kpdf/xpdf code (#44963 ,#43082)
* Wed Mar 31 2004 - coolo@suse.de
- apply fix from cvs
  * removes not working kpdf actions
* Sat Mar 27 2004 - adrian@suse.de
- apply fix from cvs
  * fixes loading of dvi files in kdvi via konqueror
* Wed Mar 17 2004 - adrian@suse.de
- do not require gocr anymore
- reduce preference of kpdf (we want to use acroread)
- move kpdf and kdvi to Office menu
- new kooka-044.diff from freitag
* Tue Mar 16 2004 - coolo@suse.de
- also build require xpdf-config for the config file
* Sat Mar 13 2004 - coolo@suse.de
- update to 3.2 branch for xpdf fix
- require xpdf-config
* Sun Mar 07 2004 - meissner@suse.de
- kamera: make usb cameras show up.
- fixed -scan filelist to avoid duplicates.
* Wed Mar 03 2004 - freitag@suse.de
- added patch to bring kooka to version 0.44:
  * Improved ocr with ocrad
  * save rotation code
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Wed Feb 25 2004 - adrian@suse.de
- show svg files in ksvg, instead khtml
* Wed Feb 18 2004 - adrian@suse.de
- split kpdf into own -pdf subpackage
* Wed Feb 18 2004 - adrian@suse.de
- apply current 3_2_BRANCH
- add Categories to kpdf
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Mon Feb 02 2004 - adrian@suse.de
- fix file list
* Thu Jan 29 2004 - adrian@suse.de
- build kooka again (-scan sub package)
* Wed Jan 28 2004 - adrian@suse.de
- updaet to version 3.2.0 final
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Thu Sep 18 2003 - meissner@suse.de
- kamera ioslave: try opening the camera multiple times if an
  open failed because another slave was running in the background.
  [#30923]
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Fri Sep 05 2003 - adrian@suse.de
- justify kamera:/ menu entry
* Thu Aug 21 2003 - meissner@suse.de
- upgraded to 3_1_BRANCH diff (contains ptp fixes)
* Wed Aug 20 2003 - meissner@suse.de
- make PTP cameras work in kio_kamera.
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - adrian@suse.de
- fix Categories
* Fri Jul 25 2003 - adrian@suse.de
- fix build for < 8.1
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Thu May 22 2003 - coolo@suse.de
- remove kooka's docu too
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Tue Apr 29 2003 - adrian@suse.de
- drop patch again (we higher prio in acroread)
* Mon Apr 28 2003 - adrian@suse.de
- lower priority for kghostview
* Wed Apr 09 2003 - adrian@suse.de
- call ghostscript in safe mode
* Wed Mar 26 2003 - adrian@suse.de
- fix build for < 8.0
* Fri Mar 14 2003 - adrian@suse.de
- fix file conflict with kdegraphics3-scan
* Tue Mar 11 2003 - adrian@suse.de
- update to version 3.1.1, try2
* Mon Mar 03 2003 - adrian@suse.de
- update to version 3.1.1
* Fri Feb 28 2003 - adrian@suse.de
- drop unneeded Obsoletes again
* Wed Feb 26 2003 - adrian@suse.de
- update 3_1_BRANCH.diff
- Obsolete kdegraphics for 8.2 and later
- move libkmultipage to main package
* Wed Feb 19 2003 - adrian@suse.de
- add 3_1_BRANCH.diff (fixes camera:/ issues)
- drop -viewer sub-package
  * move kmrml and kview to -extra
  * move kuickshow to main package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Sat Nov 23 2002 - adrian@suse.de
- fix build for < SuSE 8.0
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
- split kmrml, kview and kuickshow into -viewer package
- create new -3D package for kpovmodeller
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Thu Sep 26 2002 - adrian@suse.de
- fix sig11 in kghostview with broken postscript files (from okir)
* Thu Sep 05 2002 - coolo@suse.de
- the fix for PR18142 contained a major bug that
  crashes konqueror whenever you move the mouse over
  a png (fixed)
* Mon Sep 02 2002 - coolo@suse.de
- taking over 3.0 branch to fix PR18142
* Sat Aug 10 2002 - adrian@suse.de
- fix build for 7.3 and older
* Thu Aug 08 2002 - adrian@suse.de
- fix Obsoletes/Provides (typo)
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Fri Aug 02 2002 - adrian@suse.de
- integrate -kfile-plugins into main package
- move unwanted apps into -extra
- use current BRANCH
* Mon Jul 29 2002 - meissner@suse.de
- gphoto -> libgphoto2
* Sat Jul 06 2002 - adrian@suse.de
- split into -fax, -kamera, -kfile-plugins, -postscript and -tex
* Thu Jul 04 2002 - adrian@suse.de
- apply kview fix from coolo
* Mon Jun 24 2002 - adrian@suse.de
- update to version 3.0.2
* Wed Jun 19 2002 - adrian@suse.de
- add Requires "ghostscript-x11" for kghostview and "tetex" for kdvi
  (#14676). We have to split this package to survive these dependencies
* Wed Jun 05 2002 - adrian@suse.de
- do not build kooka anymore. We have now an extra kooka package.
* Wed May 15 2002 - meissner@suse.de
- %%_lib fixes.
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Mon Apr 15 2002 - coolo@suse.de
- check if gphoto2.h is there - don't build otherwise on recent
  distributions
* Fri Apr 12 2002 - meissner@suse.de
- GCC 3.1 fixes by updating to current KDE30 branch diff.
* Sun Apr 07 2002 - adrian@suse.de
- add Provides/Obsoletes kuickshow entries
* Sun Apr 07 2002 - ro@suse.de
- fix kooka/Makefile.am for current automake
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Tue Feb 26 2002 - ro@suse.de
- added libexif to neededforbuild
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Wed Jan 16 2002 - adrian@suse.de
- update to snapshot 2.91.2002011523
- merged kscanlib and kooka package to kdegraphics3-kooka
- hotfix autoconf 2.5x problems (does break autoconf 2.13)
- use %%{_lib} for installing
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Tue Nov 13 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1 final
* Thu Sep 06 2001 - adrian@suse.de
- update kooka&libkscan to current stable version
  (patch from freitag)
* Fri Aug 31 2001 - ro@suse.de
- added <hp-officeJet> to neededforbuild (for sane)
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild
- generate api documentation
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- update to current KDE_2_1_BRANCH (minor kpaint changes)
- drop -O0 for ppc and alpha
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 29 2001 - sf@suse.de
- added udate_suse_config
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Tue Dec 19 2000 - adrian@suse.de
- fix file conflict in a different way
* Tue Dec 19 2000 - ro@suse.de
- comment icons-line in file-list (none left)
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- second try of beta 4
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@dsuse.de
- update to kde 1.91; beta 2
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000, post-1.90
